aboutsummaryrefslogtreecommitdiff
path: root/system/fuse/fuse.SlackBuild
diff options
context:
space:
mode:
authorcore <eroc@linuxmail.org>2010-05-11 19:46:27 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:27 +0200
commitc3d9f0f6f5498fb174f6592f14344ab9350f55d7 (patch)
tree790d9ad706e21f13f00db181b7e11e46488da791 /system/fuse/fuse.SlackBuild
parent6a5d30743d42354efd6fe33af19ed32c0e212e74 (diff)
system/fuse: Updated for version 2.7.3
Diffstat (limited to 'system/fuse/fuse.SlackBuild')
-rw-r--r--system/fuse/fuse.SlackBuild53
1 files changed, 29 insertions, 24 deletions
diff --git a/system/fuse/fuse.SlackBuild b/system/fuse/fuse.SlackBuild
index b5ab390cdcf09..658723c7c8a38 100644
--- a/system/fuse/fuse.SlackBuild
+++ b/system/fuse/fuse.SlackBuild
@@ -3,16 +3,16 @@
# Slackware build script for fuse
# Written by core <eroc@linuxmail.org>
-
-set -e
+# Thanks to Helo Athena, Michiel van Wessem
+# and Robby Workman for ideas behind ./configure :)
PRGNAM=fuse
-VERSION=2.6.5
-KERNEL=${KERNEL:-`uname -r`}
+VERSION=2.7.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -23,12 +23,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG/usr $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
-
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go-w .
@@ -37,39 +38,43 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --sysconfdir=/etc \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --libdir=/lib \
+ --with-pkgconfigdir=/usr/lib/pkgconfig \
+ --includedir=/usr/include \
--localstatedir=/var \
- --enable-kernel-module \
- --enable-shared=yes \
- --enable-static=no \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-lib \
- --enable-util
+ --enable-util \
+ --disable-static \
+ --disable-kernel-module
-# ARCH creates a conflict with make, so...
-ARCHTMP="$ARCH"
-unset -v ARCH && make
+make
make install DESTDIR=$PKG
-ARCH="$ARCHTMP"
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
# Move the start|stop script of fuse to the right place.
mv $PKG/etc/init.d $PKG/etc/rc.d
-mv $PKG/etc/rc.d/fuse $PKG/etc/rc.d/rc.fuse
-chmod +x $PKG/etc/rc.d/rc.fuse
-sed -r -i 's/(SCRIPTNAME=).*/\1\/etc\/rc.d\/rc.fuse/' $PKG/etc/rc.d/rc.fuse || exit 1
+mv $PKG/etc/rc.d/fuse $PKG/etc/rc.d/rc.fuse.new
+
+# udev handles device node creation
+rm -rf $PKG/dev
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS ChangeLog COPYING COPYING.LIB FAQ Filesystems \
- INSTALL NEWS README README.NFS doc/* \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ INSTALL NEWS README README.NFS doc/how-fuse-works doc/kernel.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION\_$KERNEL-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz